diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
index 4d0b5f5..182de25 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
@@ -6,105 +6,68 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+from __future__ import print_function
+import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
-from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.databases.extensions.tests import\
-    utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
+    utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.tests\
     import utils as fdw_utils
+from regression import parent_node_dict
+from regression import test_utils as utils
 from . import utils as fsrv_utils
 
-class ForeignServerGetTestCase(BaseTestGenerator):
-    """
-    This class will add foreign server under FDW node.
-    """
 
+class ForeignServerGetTestCase(BaseTestGenerator):
+    """This class will add foreign server under FDW node."""
     scenarios = [
         # Fetching default URL for foreign server node.
         ('Check FSRV Node', dict(url='/browser/foreign_server/obj/'))
     ]
 
+    def setUp(self):
+        """ This function will create extension and foreign data wrapper."""
+        self.schema_data = parent_node_dict['schema'][-1]
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.schema_name = self.schema_data['schema_name']
+        self.extension_name = "postgres_fdw"
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
+        self.fsrv_name = "test_fsrv_add_%s" % (str(uuid.uuid4())[1:6])
+        self.extension_id = extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, self.schema_name)
+        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                           self.fdw_name)
+        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                              self.fsrv_name, self.fdw_name)
 
-    @classmethod
-    def setUpClass(cls):
-        """
-         This function perform the following tasks:
-         1. Add and connect to the test server(s)
-         2. Add database(s) connected to server(s)
-         3. Add schemas to connected database(s)
-         4. Add extension(s) to schema(s)
-         5. Add foreign data wrapper(s) to extension(s)
-         6. Add foreign server(s) to foreign data wrapper(s)
-
-        :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        # Add schema(s) under connected database(s)
-        schema_utils.add_schemas(cls.tester)
-
-        # Add extension(s) to schema(s)
-        extension_utils.add_extensions(cls.tester)
-
-        # Add foreign data wrapper(s) to extension(s)
-        fdw_utils.add_fdw(cls.tester)
-
-        # Add foreign server(s) to foreign data wrapper
-        fsrv_utils.add_fsrv(cls.tester)
-
-#
     def runTest(self):
-        """ This function will fetch foreign server under FDW node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        fdw_ids_dict = all_id["fid"][0]
-        fsrv_ids_dict = all_id["fsid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            fdw_id = fdw_ids_dict[server_id]
-            fsrv_id = fsrv_ids_dict[server_id]
-
-            response = fsrv_utils.verify_fsrv(self.tester, utils.SERVER_GROUP,
-                                              server_id, db_id,
-                                              fdw_id, fsrv_id)
-
-            self.assertEquals(response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """This function deletes the added schema, database, server and parent
-        id file
-
-        :return: None
-        """
-
-        fsrv_utils.delete_fsrv(cls.tester)
-        fdw_utils.delete_fdw(cls.tester)
-        extension_utils.delete_extension(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
-
+        """This function will fetch foreign server present under test
+        database."""
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
+                                            self.fdw_name)
+        if not fdw_response:
+            raise Exception("Could not find FDW.")
+        fsrv_response = self.tester.get(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) + '/'
+            + str(self.fdw_id) + '/' + str(self.fsrv_id),
+            content_type='html/json')
+        self.assertEquals(fsrv_response.status_code, 200)
+
+    def tearDown(self):
+        """This function disconnect the test database and drop added extension
+         and dependant objects."""
+        extension_utils.drop_extension(self.server, self.db_name,
+                                       self.extension_name)
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
index 4e5809a..6712c0a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
@@ -6,123 +6,78 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+from __future__ import print_function
+import uuid
+import json
 
 from pgadmin.utils.route import BaseTestGenerator
-from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.databases.extensions.tests import\
-    utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
+    utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.tests\
     import utils as fdw_utils
+from regression import parent_node_dict
+from regression import test_utils as utils
 from . import utils as fsrv_utils
-from regression.test_setup import advanced_config_data
-import json
 
-class ForeignServerPutTestCase(BaseTestGenerator):
-    """
-    This class will add foreign server under FDW node.
-    """
 
+class ForeignServerPutTestCase(BaseTestGenerator):
+    """This class will add foreign server under FDW node."""
     scenarios = [
         # Fetching default URL for foreign server node.
         ('Check FSRV Node', dict(url='/browser/foreign_server/obj/'))
     ]
 
+    def setUp(self):
+        """ This function will create extension and foreign data wrapper."""
+        self.schema_data = parent_node_dict['schema'][-1]
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.schema_name = self.schema_data['schema_name']
+        self.extension_name = "postgres_fdw"
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
+        self.fsrv_name = "test_fsrv_put_%s" % (str(uuid.uuid4())[1:6])
+        self.extension_id = extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, self.schema_name)
+        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                           self.fdw_name)
+        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                              self.fsrv_name, self.fdw_name)
 
-    @classmethod
-    def setUpClass(cls):
-        """
-         This function perform the following tasks:
-         1. Add and connect to the test server(s)
-         2. Add database(s) connected to server(s)
-         3. Add schemas to connected database(s)
-         4. Add extension(s) to schema(s)
-         5. Add foreign data wrapper(s) to extension(s)
-         6. Add foreign server(s) to foreign data wrapper(s)
-
-        :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        # Add schema(s) under connected database(s)
-        schema_utils.add_schemas(cls.tester)
-
-        # Add extension(s) to schema(s)
-        extension_utils.add_extensions(cls.tester)
-
-        # Add foreign data wrapper(s) to extension(s)
-        fdw_utils.add_fdw(cls.tester)
-
-        # Add foreign server(s) to foreign data wrapper
-        fsrv_utils.add_fsrv(cls.tester)
-
-#
     def runTest(self):
-        """ This function will update foreign server under FDW node. """
-
-        all_id = utils.get_ids()
-        server_ids = all_id["sid"]
-        db_ids_dict = all_id["did"][0]
-        fdw_ids_dict = all_id["fid"][0]
-        fsrv_ids_dict = all_id["fsid"][0]
-
-        for server_id in server_ids:
-            db_id = db_ids_dict[int(server_id)]
-            fdw_id = fdw_ids_dict[server_id]
-            fsrv_id = fsrv_ids_dict[server_id]
-
-            response = fsrv_utils.verify_fsrv(self.tester, utils.SERVER_GROUP,
-                                              server_id, db_id,
-                                              fdw_id, fsrv_id)
-
-            if response.status_code == 200:
-                data = \
-                    {
-                        "description": advanced_config_data['FSRV_update_data']
-                        ['comment'],
-                        "id": fsrv_id
-                    }
-
-                put_response = self.tester.put(
-                    self.url + str(utils.SERVER_GROUP) + '/' +
-                    str(server_id) + '/' + str(db_id) +
-                    '/' + str(fdw_id) + '/' +
-                    str(fsrv_id), data=json.dumps(data),
-                    follow_redirects=True)
-
-                self.assertEquals(put_response.status_code, 200)
-
-    @classmethod
-    def tearDownClass(cls):
-        """
-        This function deletes the added foreign server(s) ,
-        foreign data wrapper(s), extension(s), schema(s), database(s), server(s)
-        and parent id file
-
-        :return: None
-        """
-
-        fsrv_utils.delete_fsrv(cls.tester)
-        fdw_utils.delete_fdw(cls.tester)
-        extension_utils.delete_extension(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        """This function will update foreign server present under test
+        database."""
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
+                                            self.fdw_name)
+        if not fdw_response:
+            raise Exception("Could not find FDW.")
+        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
+                                               self.fsrv_name)
+        if not fsrv_response:
+            raise Exception("Could not find FSRV.")
+        data = {
+                "description": "This is foreign server update comment",
+                "id": self.fsrv_id
+            }
+        put_response = self.tester.put(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(self.db_id) +
+            '/' + str(self.fdw_id) + '/' +
+            str(self.fsrv_id), data=json.dumps(data),
+            follow_redirects=True)
+        self.assertEquals(put_response.status_code, 200)
+
+    def tearDown(self):
+        """This function disconnect the test database and drop added extension
+         and dependant objects."""
+        extension_utils.drop_extension(self.server, self.db_name,
+                                       self.extension_name)
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
\ No newline at end of file
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py
index e271643..32ce6aa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py
@@ -7,143 +7,74 @@
 #
 # ##################################################################
 
+from __future__ import print_function
 import os
-import pickle
-import json
-from regression.test_setup import advanced_config_data, pickle_path
-from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
-from pgadmin.browser.server_groups.servers.databases.tests import \
-    utils as database_utils
-import uuid
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.tests \
-    import utils as fdw_utils
+import sys
+from regression.test_utils import get_db_connection
 
+file_name = os.path.basename(__file__)
 
-FSRV_URL = '/browser/foreign_server/obj/'
 
-
-def get_fsrv_config_data(server_connect_data):
-    adv_config_data = None
-    db_user = server_connect_data['data']['user']['name']
-
-    # Get the config data of appropriate db user
-    for config_test_data in advanced_config_data['fsrv_credentials']:
-        if db_user == config_test_data['owner']:
-            adv_config_data = config_test_data
-
-    data = {
-        "fsrvacl": adv_config_data['fsrv_acl'],
-        "fsrvoptions": adv_config_data['fsrv_options'],
-        "fsrvowner": adv_config_data['owner'],
-        "name": "fsrv_{}".format(str(uuid.uuid4())[1:4])
-    }
-
-    return data
-
-
-def add_fsrv(tester):
-
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    fdw_ids_dict = all_id["fid"][0]
-
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        db_con = database_utils.verify_database(tester,
-                                                utils.SERVER_GROUP,
-                                                server_id, db_id)
-
-        if db_con['data']['connected']:
-            server_connect_response = server_utils.verify_server(
-                tester, utils.SERVER_GROUP, server_id)
-
-            fdw_id = fdw_ids_dict[server_id]
-
-            response = fdw_utils.verify_fdws(tester,
-                                             utils.SERVER_GROUP,
-                                             server_id, db_id,
-                                             fdw_id)
-
-            if response.status_code == 200:
-                data = get_fsrv_config_data(server_connect_response)
-
-                response = tester.post(
-                    FSRV_URL + str(utils.SERVER_GROUP) + '/' +
-                    str(server_id) + '/' + str(
-                        db_id) +
-                    '/' + str(fdw_id) + '/',
-                    data=json.dumps(data),
-                    content_type='html/json')
-
-                assert response.status_code == 200
-
-                response_data = json.loads(response.data.decode())
-                write_fsrv_info(response_data, server_id)
-
-
-def write_fsrv_info(response_data, server_id):
+def create_fsrv(server, db_name, fsrv_name, fdw_name):
     """
-    This function writes the schema id into parent_id.pkl
+    This function will create foreign data wrapper under the existing
+    dummy database.
 
-    :param response_data: foreign server add response data
-    :type response_data: dict
-    :param server_id: server id
-    :type server_id: str
-    :return: None
+    :param server: test_server, test_db, fsrv_name, fdw_name
+    :return: fsrv_id
     """
 
-    fsrv_id = response_data['node']['_id']
-    pickle_id_dict = utils.get_pickle_id_dict()
-    if os.path.isfile(pickle_path):
-        existing_server_id = open(pickle_path, 'rb')
-        tol_server_id = pickle.load(existing_server_id)
-        pickle_id_dict = tol_server_id
-    if 'fsid' in pickle_id_dict:
-        if pickle_id_dict['fsid']:
-            # Add the FSRV_id as value in dict
-            pickle_id_dict["fsid"][0].update({server_id: fsrv_id})
-        else:
-            # Create new dict with server_id and fsrv_id
-            pickle_id_dict["fsid"].append({server_id: fsrv_id})
-    fsrv_output = open(pickle_path, 'wb')
-    pickle.dump(pickle_id_dict, fsrv_output)
-    fsrv_output.close()
-
-
-def verify_fsrv(tester, server_group,  server_id, db_id, fdw_id, fsrv_id):
-    response = tester.get(FSRV_URL + str(server_group) + '/' +
-                          str(server_id) + '/' + str(db_id) +
-                          '/' + str(fdw_id) + '/' + str(fsrv_id),
-                          content_type='html/json')
-    return response
-
-
-def delete_fsrv(tester):
-    all_id = utils.get_ids()
-    server_ids = all_id["sid"]
-    db_ids_dict = all_id["did"][0]
-    fdw_ids_dict = all_id["fid"][0]
-    fsrv_ids_dict = all_id["fsid"][0]
-
-    for server_id in server_ids:
-        db_id = db_ids_dict[int(server_id)]
-        fdw_id = fdw_ids_dict[server_id]
-        fsrv_id = fsrv_ids_dict[server_id]
-
-        response = verify_fsrv(tester, utils.SERVER_GROUP,
-                               server_id, db_id,
-                               fdw_id, fsrv_id)
-
-        if response.status_code == 200:
-            delete_response = tester.delete(
-                FSRV_URL + str(utils.SERVER_GROUP) +
-                '/' + str(server_id) + '/' +
-                str(db_id) + '/' +
-                str(fdw_id) + '/' +
-                str(fsrv_id),
-                follow_redirects=True)
-
-            delete_respdata = json.loads(delete_response.data.decode())
-            return delete_respdata
+    try:
+        connection = get_db_connection(db_name,
+                                       server['username'],
+                                       server['db_password'],
+                                       server['host'],
+                                       server['port'])
+        old_isolation_level = connection.isolation_level
+        connection.set_isolation_level(0)
+        pg_cursor = connection.cursor()
+        pg_cursor.execute("CREATE SERVER {0} FOREIGN DATA WRAPPER {1} OPTIONS "
+                          "(host '{2}', dbname '{3}', port '{4}')".format
+                          (fsrv_name, fdw_name, server['host'], db_name,
+                           server['port']))
+
+        connection.set_isolation_level(old_isolation_level)
+        connection.commit()
+
+        # Get 'oid' from newly created foreign server
+        pg_cursor.execute(
+            "SELECT oid FROM pg_foreign_server WHERE srvname = '%s'"
+            % fsrv_name)
+        oid = pg_cursor.fetchone()
+        fsrv_id = ''
+        if oid:
+            fsrv_id = oid[0]
+        connection.close()
+        return fsrv_id
+    except Exception as exception:
+        exception = "Exception: %s: line:%s %s" % (
+            file_name, sys.exc_traceback.tb_lineno, exception)
+        print(exception, file=sys.stderr)
+
+
+def verify_fsrv(server, db_name , fsrv_name):
+    """ This function will verify current foreign server."""
+
+    try:
+        connection = get_db_connection(db_name,
+                                             server['username'],
+                                             server['db_password'],
+                                             server['host'],
+                                             server['port'])
+        pg_cursor = connection.cursor()
+
+        pg_cursor.execute(
+            "SELECT oid FROM pg_foreign_server WHERE srvname = '%s'"
+            % fsrv_name)
+        fsrvs = pg_cursor.fetchall()
+        connection.close()
+        return fsrvs
+    except Exception as exception:
+        exception = "%s: line:%s %s" % (
+            file_name, sys.exc_traceback.tb_lineno, exception)
+        print(exception, file=sys.stderr)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
index e4551e7..3cbf0e9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/test_user_mapping_add.py
@@ -6,93 +6,92 @@
 # This software is released under the PostgreSQL Licence
 #
 # ##################################################################
+from __future__ import print_function
+import uuid
+import json
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from pgadmin.browser.server_groups.servers.databases.extensions.tests import\
-    utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
-    utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.browser.server_groups.servers.tests import utils as server_utils
+from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
+    utils as extension_utils
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.tests\
     import utils as fdw_utils
+from regression import parent_node_dict
 from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
     foreign_servers.tests import utils as fsrv_utils
-from . import utils as um_utils
 
 
 class UserMappingAddTestCase(BaseTestGenerator):
-    """
-    This class will add user mapping under foreign server node.
-    """
+    """This class will add user mapping under foreign server node."""
 
     scenarios = [
         # Fetching default URL for user mapping node.
         ('Check user mapping Node', dict(url='/browser/user_mapping/obj/'))
     ]
 
-    @classmethod
-    def setUpClass(cls):
-        """
-         This function perform the following tasks:
-         1. Add and connect to the test server(s)
-         2. Add database(s) connected to server(s)
-         3. Add schemas to connected database(s)
-         4. Add extension(s) to schema(s)
-         5. Add foreign data wrapper(s) to extension(s)
-         6. Add foreign server(s) to foreign data wrapper(s)
-
-        :return: None
-        """
-
-        # Add the server
-        server_utils.add_server(cls.tester)
-
-        # Connect to servers
-        cls.server_connect_response, cls.server_group, cls.server_ids = \
-            server_utils.connect_server(cls.tester)
-
-        if len(cls.server_connect_response) == 0:
-            raise Exception("No Server(s) connected to add the database!!!")
-
-        # Add databases to connected servers
-        database_utils.add_database(cls.tester, cls.server_connect_response,
-                                    cls.server_ids)
-
-        # Add schema(s) under connected database(s)
-        schema_utils.add_schemas(cls.tester)
-
-        # Add extension(s) to schema(s)
-        extension_utils.add_extensions(cls.tester)
-
-        # Add foreign data wrapper(s) to extension(s)
-        fdw_utils.add_fdw(cls.tester)
-
-        # Add foreign server(s) to foreign data wrapper
-        fsrv_utils.add_fsrv(cls.tester)
+    def setUp(self):
+        """ This function will create extension and foreign data wrapper."""
+        self.schema_data = parent_node_dict['schema'][-1]
+        self.server_id = self.schema_data['server_id']
+        self.db_id = self.schema_data['db_id']
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.schema_name = self.schema_data['schema_name']
+        self.extension_name = "postgres_fdw"
+        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:6])
+        self.fsrv_name = "fsrv_%s" % (str(uuid.uuid4())[1:6])
+        self.extension_id = extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, self.schema_name)
+        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                           self.fdw_name)
+        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                              self.fsrv_name, self.fdw_name)
 
     def runTest(self):
-        """ This function will add user mapping under foreign server node. """
-
-        um_utils.add_um(self.tester)
-
-    @classmethod
-    def tearDownClass(cls):
-        """
-        This function deletes the added user mapping(s), foreign server(s),
-        foreign data wrapper(s), extension(s), schema(s), database(s),
-        server(s) and parent id file
-
-        :return: None
-        """
-
-        um_utils.delete_um(cls.tester)
-        fsrv_utils.delete_fsrv(cls.tester)
-        fdw_utils.delete_fdw(cls.tester)
-        extension_utils.delete_extension(cls.tester)
-        schema_utils.delete_schema(cls.tester)
-        database_utils.delete_database(cls.tester)
-        server_utils.delete_server(cls.tester)
-        utils.delete_parent_id_file()
+        """This function will update foreign server present under test
+        database. """
+        db_con = database_utils.connect_database(self,
+                                                 utils.SERVER_GROUP,
+                                                 self.server_id,
+                                                 self.db_id)
+        if not db_con["info"] == "Database connected.":
+            raise Exception("Could not connect to database.")
+        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
+                                            self.fdw_name)
+        if not fdw_response:
+            raise Exception("Could not find FDW.")
+        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
+                                               self.fsrv_name)
+        if not fsrv_response:
+            raise Exception("Could not find FSRV.")
+        db_user = self.server["username"]
+        data = {
+                "name": db_user,
+                "um_options": [],
+                "umoptions": [
+                    {
+                        "umoption": "user",
+                        "umvalue": self.server["username"]
+                    },
+                    {
+                        "umoption": "password",
+                        "umvalue": self.server["db_password"]
+                    }
+                ]
+            }
+        response = self.tester.post(
+            self.url + str(utils.SERVER_GROUP) + '/' +
+            str(self.server_id) + '/' + str(
+                self.db_id) +
+            '/' + str(self.fdw_id) + '/' + str(self.fsrv_id) + '/',
+            data=json.dumps(data),
+            content_type='html/json')
+        self.assertEquals(response.status_code, 200)
+
+    def tearDown(self):
+        """This function disconnect the test database and drop added extension
+         and dependant objects."""
+        extension_utils.drop_extension(self.server, self.db_name,
+                                       self.extension_name)
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
